sidebarNodes={"extras":[{"id":"api-reference","title":"API Reference","group":"","headers":[{"id":"Modules","anchor":"modules"},{"id":"Exceptions","anchor":"exceptions"},{"id":"Mix Tasks","anchor":"mix-tasks"}]},{"id":"overview","title":"Overview","group":"Introduction","headers":[{"id":"GraphQL Basics","anchor":"graphql-basics"},{"id":"Absinthe","anchor":"absinthe"},{"id":"Integrations","anchor":"integrations"},{"id":"Guides","anchor":"guides"}]},{"id":"installation","title":"Installation","group":"Introduction","headers":[{"id":"Overriding Dependencies","anchor":"overriding-dependencies"},{"id":"Plug, Phoenix, and GraphiQL","anchor":"plug-phoenix-and-graphiql"}]},{"id":"learning","title":"Learning","group":"Introduction","headers":[{"id":"Books","anchor":"books"},{"id":"Online Resources","anchor":"online-resources"},{"id":"Videos","anchor":"videos"},{"id":"General GraphQL Information","anchor":"general-graphql-information"}]},{"id":"community","title":"Community","group":"Introduction","headers":[{"id":"Twitter","anchor":"twitter"},{"id":"Chat","anchor":"chat"},{"id":"Forum","anchor":"forum"}]},{"id":"start","title":"Getting Started","group":"Tutorial","headers":[{"id":"Background","anchor":"background"},{"id":"The Example","anchor":"the-example"},{"id":"First Step","anchor":"first-step"}]},{"id":"our-first-query","title":"Our First Query","group":"Tutorial","headers":[{"id":"Next Step","anchor":"next-step"}]},{"id":"query-arguments","title":"Query Arguments","group":"Tutorial","headers":[{"id":"Defining Arguments","anchor":"defining-arguments"},{"id":"Arguments and Non-Root Fields","anchor":"arguments-and-non-root-fields"},{"id":"Next Step","anchor":"next-step"}]},{"id":"mutations","title":"Mutations","group":"Tutorial","headers":[{"id":"Authorization","anchor":"authorization"},{"id":"Next Step","anchor":"next-step"}]},{"id":"complex-arguments","title":"Complex Arguments","group":"Tutorial","headers":[{"id":"Next Step","anchor":"next-step"}]},{"id":"conclusion","title":"Conclusion","group":"Tutorial","headers":[{"id":"Please Help!","anchor":"please-help"}]},{"id":"schemas","title":"Writing Schemas","group":"Topics","headers":[{"id":"Importing Types","anchor":"importing-types"}]},{"id":"plug-phoenix","title":"Plug and Phoenix Setup","group":"Topics","headers":[{"id":"Plug","anchor":"plug"},{"id":"Phoenix","anchor":"phoenix"},{"id":"Absinthe Context","anchor":"absinthe-context"},{"id":"GraphiQL","anchor":"graphiql"},{"id":"General Usage","anchor":"general-usage"},{"id":"Configuration Notes","anchor":"configuration-notes"},{"id":"Inside Phoenix controllers","anchor":"inside-phoenix-controllers"}]},{"id":"ecto","title":"Ecto Best Practices","group":"Topics","headers":[{"id":"Avoiding N+1 Queries","anchor":"avoiding-n-1-queries"},{"id":"Formatting Ecto.Changeset Errors","anchor":"formatting-ecto-changeset-errors"}]},{"id":"middleware-and-plugins","title":"Writing Middleware and Plugins","group":"Topics","headers":[{"id":"Create a Middleware","anchor":"create-a-middleware"},{"id":"Using Middlewares","anchor":"using-middlewares"}]},{"id":"errors","title":"Returning Errors","group":"Topics","headers":[{"id":"Basic Errors","anchor":"basic-errors"},{"id":"Ecto.Changeset Errors","anchor":"ecto-changeset-errors"}]},{"id":"batching","title":"Batching Resolution","group":"Topics","headers":[]},{"id":"dataloader","title":"Dataloader","group":"Topics","headers":[{"id":"Installation","anchor":"installation"},{"id":"Usage","anchor":"usage"}]},{"id":"context-and-authentication","title":"The Context and Authentication","group":"Topics","headers":[{"id":"Basic Usage","anchor":"basic-usage"},{"id":"Context and Plugs","anchor":"context-and-plugs"}]},{"id":"subscriptions","title":"Understanding Subscriptions","group":"Topics","headers":[]},{"id":"custom-scalars","title":"Custom Scalar Types","group":"Topics","headers":[{"id":"Defining a scalar","anchor":"defining-a-scalar"}]},{"id":"importing-types","title":"Importing Types","group":"Topics","headers":[{"id":"Example","anchor":"example"},{"id":"What about root types?","anchor":"what-about-root-types"}]},{"id":"importing-fields","title":"Importing Fields","group":"Topics","headers":[{"id":"An Example","anchor":"an-example"}]},{"id":"variables","title":"Using Document Variables","group":"Topics","headers":[]},{"id":"introspection","title":"Schema Introspection","group":"Topics","headers":[{"id":"Using GraphiQL","anchor":"using-graphiql"}]},{"id":"telemetry","title":"Telemetry","group":"Topics","headers":[{"id":"Interactive Telemetry","anchor":"interactive-telemetry"}]},{"id":"deprecation","title":"Schema Deprecation","group":"Topics","headers":[]},{"id":"adapters","title":"Document Adapters","group":"Topics","headers":[]},{"id":"complexity-analysis","title":"Complexity Analysis","group":"Topics","headers":[{"id":"Complexity Analysis","anchor":"complexity-analysis"}]},{"id":"file-uploads","title":"File Uploads","group":"Topics","headers":[{"id":"Example","anchor":"example"},{"id":"Integration with Client-side GraphQL Frameworks","anchor":"integration-with-client-side-graphql-frameworks"}]},{"id":"testing","title":"Testing","group":"Topics","headers":[{"id":"Testing with Absinthe Plug","anchor":"testing-with-absinthe-plug"},{"id":"Example","anchor":"example"}]},{"id":"javascript","title":"Using with JavaScript","group":"Client Guides","headers":[{"id":"Over HTTP","anchor":"over-http"},{"id":"Over Websockets","anchor":"over-websockets"}]},{"id":"apollo","title":"Using with Apollo Client","group":"Client Guides","headers":[{"id":"Using an HTTP link","anchor":"using-an-http-link"},{"id":"Using a websocket link","anchor":"using-a-websocket-link"},{"id":"Using both HTTP and websocket links","anchor":"using-both-http-and-websocket-links"}]},{"id":"relay","title":"Using with Relay","group":"Client Guides","headers":[{"id":"Using Absinthe.Relay","anchor":"using-absinthe-relay"},{"id":"Nodes","anchor":"nodes"},{"id":"Mutations","anchor":"mutations"},{"id":"Connections","anchor":"connections"}]},{"id":"v1-4","title":"Upgrading to v1.4","group":"Upgrade Guides","headers":[{"id":"Middleware: Watch Out for Eager Default","anchor":"middleware-watch-out-for-eager-default"},{"id":"Plugins: Change Arguments","anchor":"plugins-change-arguments"},{"id":"Calling All Resolvers: The Null Literal Has Arrived","anchor":"calling-all-resolvers-the-null-literal-has-arrived"},{"id":"Expect Shorter Error Messages","anchor":"expect-shorter-error-messages"}]},{"id":"v1-5","title":"Upgrading to v1.5","group":"Upgrade Guides","headers":[{"id":"Breaking changes","anchor":"breaking-changes"}]}],"exceptions":[{"id":"Absinthe.AnalysisError","title":"Absinthe.AnalysisError","group":""},{"id":"Absinthe.ExecutionError","title":"Absinthe.ExecutionError","group":""},{"id":"Absinthe.Schema.Error","title":"Absinthe.Schema.Error","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"message/1","anchor":"message/1"}]}]},{"id":"Absinthe.Schema.Notation.Error","title":"Absinthe.Schema.Notation.Error","group":""},{"id":"Absinthe.SerializationError","title":"Absinthe.SerializationError","group":""}],"modules":[{"id":"Absinthe","title":"Absinthe","group":"","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"result_error_t/0","anchor":"t:result_error_t/0"},{"id":"result_selection_t/0","anchor":"t:result_selection_t/0"},{"id":"result_t/0","anchor":"t:result_t/0"},{"id":"run_opts/0","anchor":"t:run_opts/0"},{"id":"run_result/0","anchor":"t:run_result/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"run/3","anchor":"run/3"},{"id":"run!/3","anchor":"run!/3"}]}]},{"id":"Absinthe.Lexer","title":"Absinthe.Lexer","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"do_tokenize/2","anchor":"do_tokenize/2"},{"id":"line_and_column/3","anchor":"line_and_column/3"},{"id":"tokenize/1","anchor":"tokenize/1"}]}]},{"id":"Absinthe.Phase.Document.Validation.Utils.MessageSuggestions","title":"Absinthe.Phase.Document.Validation.Utils.MessageSuggestions","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"suggest_fragment_message/1","anchor":"suggest_fragment_message/1"},{"id":"suggest_message/1","anchor":"suggest_message/1"}]}]},{"id":"Absinthe.Schema.Manager","title":"Absinthe.Schema.Manager","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"child_spec/1","anchor":"child_spec/1"},{"id":"init/1","anchor":"init/1"},{"id":"start_link/1","anchor":"start_link/1"}]}]},{"id":"Absinthe.Schema.PersistentTerm","title":"Absinthe.Schema.PersistentTerm","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"pipeline/1","anchor":"pipeline/1"}]}]},{"id":"Absinthe.Schema.Provider","title":"Absinthe.Schema.Provider","group":"","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"schema_identifier/0","anchor":"t:schema_identifier/0"},{"id":"type_group/0","anchor":"t:type_group/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"__absinthe_directive__/2","anchor":"c:__absinthe_directive__/2"},{"id":"__absinthe_directives__/1","anchor":"c:__absinthe_directives__/1"},{"id":"__absinthe_interface_implementors__/1","anchor":"c:__absinthe_interface_implementors__/1"},{"id":"__absinthe_prototype_schema__/1","anchor":"c:__absinthe_prototype_schema__/1"},{"id":"__absinthe_type__/2","anchor":"c:__absinthe_type__/2"},{"id":"__absinthe_types__/1","anchor":"c:__absinthe_types__/1"},{"id":"__absinthe_types__/2","anchor":"c:__absinthe_types__/2"},{"id":"pipeline/1","anchor":"c:pipeline/1"}]}]},{"id":"Absinthe.Resolution.Helpers","title":"Absinthe.Resolution.Helpers","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"dataloader_key_fun/0","anchor":"t:dataloader_key_fun/0"},{"id":"dataloader_opt/0","anchor":"t:dataloader_opt/0"},{"id":"dataloader_tuple/0","anchor":"t:dataloader_tuple/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"async/2","anchor":"async/2"},{"id":"batch/4","anchor":"batch/4"},{"id":"dataloader/1","anchor":"dataloader/1"},{"id":"dataloader/2","anchor":"dataloader/2"},{"id":"dataloader/3","anchor":"dataloader/3"},{"id":"on_load/2","anchor":"on_load/2"}]}]},{"id":"Absinthe.Schema","title":"Absinthe.Schema","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"apply_modifiers/2","anchor":"apply_modifiers/2"},{"id":"child_spec/1","anchor":"child_spec/1"},{"id":"concrete_types/2","anchor":"concrete_types/2"},{"id":"directives/1","anchor":"directives/1"},{"id":"implementors/2","anchor":"implementors/2"},{"id":"introspect/2","anchor":"introspect/2"},{"id":"introspection_types/1","anchor":"introspection_types/1"},{"id":"lookup_directive/2","anchor":"lookup_directive/2"},{"id":"lookup_type/3","anchor":"lookup_type/3"},{"id":"mutation/2","anchor":"mutation/2"},{"id":"query/2","anchor":"query/2"},{"id":"referenced_types/1","anchor":"referenced_types/1"},{"id":"replace_default/4","anchor":"replace_default/4"},{"id":"subscription/2","anchor":"subscription/2"},{"id":"to_sdl/1","anchor":"to_sdl/1"},{"id":"types/1","anchor":"types/1"},{"id":"used_types/1","anchor":"used_types/1"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"context/1","anchor":"c:context/1"},{"id":"hydrate/2","anchor":"c:hydrate/2"},{"id":"middleware/3","anchor":"c:middleware/3"},{"id":"plugins/0","anchor":"c:plugins/0"}]}]},{"id":"Absinthe.Schema.Hydrator","title":"Absinthe.Schema.Hydrator","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"hydration/0","anchor":"t:hydration/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"apply_hydration/2","anchor":"c:apply_hydration/2"}]}]},{"id":"Absinthe.Schema.Notation","title":"Absinthe.Schema.Notation","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"import_sdl_option/0","anchor":"t:import_sdl_option/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"arg/2","anchor":"arg/2"},{"id":"arg/3","anchor":"arg/3"},{"id":"build_reference/1","anchor":"build_reference/1"},{"id":"complexity/1","anchor":"complexity/1"},{"id":"config/1","anchor":"config/1"},{"id":"deprecate/1","anchor":"deprecate/1"},{"id":"description/1","anchor":"description/1"},{"id":"directive/3","anchor":"directive/3"},{"id":"enum/2","anchor":"enum/2"},{"id":"enum/3","anchor":"enum/3"},{"id":"expand/1","anchor":"expand/1"},{"id":"field/2","anchor":"field/2"},{"id":"field/3","anchor":"field/3"},{"id":"field/4","anchor":"field/4"},{"id":"grab_functions/4","anchor":"grab_functions/4"},{"id":"handle_arg_attrs/3","anchor":"handle_arg_attrs/3"},{"id":"handle_enum_value_attrs/2","anchor":"handle_enum_value_attrs/2"},{"id":"import_fields/2","anchor":"import_fields/2"},{"id":"import_sdl/1","anchor":"import_sdl/1"},{"id":"import_sdl/2","anchor":"import_sdl/2"},{"id":"import_types/2","anchor":"import_types/2"},{"id":"input_object/3","anchor":"input_object/3"},{"id":"interface/1","anchor":"interface/1"},{"id":"interface/3","anchor":"interface/3"},{"id":"interfaces/1","anchor":"interfaces/1"},{"id":"is_type_of/1","anchor":"is_type_of/1"},{"id":"lift_functions/2","anchor":"lift_functions/2"},{"id":"lift_functions/3","anchor":"lift_functions/3"},{"id":"list_of/1","anchor":"list_of/1"},{"id":"meta/1","anchor":"meta/1"},{"id":"meta/2","anchor":"meta/2"},{"id":"middleware/2","anchor":"middleware/2"},{"id":"non_null/1","anchor":"non_null/1"},{"id":"noop/1","anchor":"noop/1"},{"id":"object/3","anchor":"object/3"},{"id":"on/1","anchor":"on/1"},{"id":"parse/1","anchor":"parse/1"},{"id":"put_attr/2","anchor":"put_attr/2"},{"id":"put_desc/2","anchor":"put_desc/2"},{"id":"put_reference/2","anchor":"put_reference/2"},{"id":"record!/5","anchor":"record!/5"},{"id":"record_config!/2","anchor":"record_config!/2"},{"id":"record_middleware!/3","anchor":"record_middleware!/3"},{"id":"record_trigger!/3","anchor":"record_trigger!/3"},{"id":"resolve/1","anchor":"resolve/1"},{"id":"resolve_type/1","anchor":"resolve_type/1"},{"id":"scalar/2","anchor":"scalar/2"},{"id":"scalar/3","anchor":"scalar/3"},{"id":"serialize/1","anchor":"serialize/1"},{"id":"trigger/2","anchor":"trigger/2"},{"id":"types/1","anchor":"types/1"},{"id":"union/3","anchor":"union/3"},{"id":"value/2","anchor":"value/2"},{"id":"values/1","anchor":"values/1"}]}]},{"id":"Absinthe.Schema.Prototype","title":"Absinthe.Schema.Prototype","group":"Schema Definition and Types","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"expand_deprecate/2","anchor":"expand_deprecate/2"},{"id":"pipeline/1","anchor":"pipeline/1"}]}]},{"id":"Absinthe.Type.Argument","title":"Absinthe.Type.Argument","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"fetch/2","anchor":"fetch/2"}]}]},{"id":"Absinthe.Type.Custom","title":"Absinthe.Type.Custom","group":"Schema Definition and Types"},{"id":"Absinthe.Type.Directive","title":"Absinthe.Type.Directive","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"location/0","anchor":"t:location/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"kind/0","anchor":"kind/0"}]}]},{"id":"Absinthe.Type.Enum","title":"Absinthe.Type.Enum","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"kind/0","anchor":"kind/0"}]}]},{"id":"Absinthe.Type.Enum.Value","title":"Absinthe.Type.Enum.Value","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]}]},{"id":"Absinthe.Type.Field","title":"Absinthe.Type.Field","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"complexity_t/0","anchor":"t:complexity_t/0"},{"id":"custom_error/0","anchor":"t:custom_error/0"},{"id":"error_message/0","anchor":"t:error_message/0"},{"id":"error_result/0","anchor":"t:error_result/0"},{"id":"error_value/0","anchor":"t:error_value/0"},{"id":"middleware_result/0","anchor":"t:middleware_result/0"},{"id":"ok_result/0","anchor":"t:ok_result/0"},{"id":"resolver_t/0","anchor":"t:resolver_t/0"},{"id":"result/0","anchor":"t:result/0"},{"id":"serializable/0","anchor":"t:serializable/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"fetch/2","anchor":"fetch/2"}]}]},{"id":"Absinthe.Type.InputObject","title":"Absinthe.Type.InputObject","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"fetch/2","anchor":"fetch/2"},{"id":"kind/0","anchor":"kind/0"}]}]},{"id":"Absinthe.Type.Interface","title":"Absinthe.Type.Interface","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"kind/0","anchor":"kind/0"},{"id":"resolve_type/4","anchor":"resolve_type/4"},{"id":"type_resolvable?/2","anchor":"type_resolvable?/2"}]}]},{"id":"Absinthe.Type.List","title":"Absinthe.Type.List","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"fetch/2","anchor":"fetch/2"},{"id":"kind/0","anchor":"kind/0"}]}]},{"id":"Absinthe.Type.NonNull","title":"Absinthe.Type.NonNull","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"},{"id":"t/1","anchor":"t:t/1"}]},{"key":"functions","name":"Functions","nodes":[{"id":"fetch/2","anchor":"fetch/2"},{"id":"kind/0","anchor":"kind/0"}]}]},{"id":"Absinthe.Type.Object","title":"Absinthe.Type.Object","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"kind/0","anchor":"kind/0"}]}]},{"id":"Absinthe.Type.Scalar","title":"Absinthe.Type.Scalar","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"},{"id":"value_t/0","anchor":"t:value_t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"kind/0","anchor":"kind/0"},{"id":"parse/3","anchor":"parse/3"},{"id":"serialize/2","anchor":"serialize/2"}]}]},{"id":"Absinthe.Type.Union","title":"Absinthe.Type.Union","group":"Schema Definition and Types","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"kind/0","anchor":"kind/0"}]}]},{"id":"Absinthe.Middleware","title":"Absinthe.Middleware","group":"Middleware and Plugins","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"function_name/0","anchor":"t:function_name/0"},{"id":"spec/0","anchor":"t:spec/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"unshim/2","anchor":"unshim/2"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"call/2","anchor":"c:call/2"}]}]},{"id":"Absinthe.Middleware.Async","title":"Absinthe.Middleware.Async","group":"Middleware and Plugins","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"after_resolution/1","anchor":"after_resolution/1"},{"id":"before_resolution/1","anchor":"before_resolution/1"},{"id":"call/2","anchor":"call/2"},{"id":"pipeline/2","anchor":"pipeline/2"}]}]},{"id":"Absinthe.Middleware.Batch","title":"Absinthe.Middleware.Batch","group":"Middleware and Plugins","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"batch_fun/0","anchor":"t:batch_fun/0"},{"id":"post_batch_fun/0","anchor":"t:post_batch_fun/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"after_resolution/1","anchor":"after_resolution/1"},{"id":"before_resolution/1","anchor":"before_resolution/1"},{"id":"call/2","anchor":"call/2"},{"id":"pipeline/2","anchor":"pipeline/2"}]}]},{"id":"Absinthe.Middleware.Dataloader","title":"Absinthe.Middleware.Dataloader","group":"Middleware and Plugins"},{"id":"Absinthe.Middleware.MapGet","title":"Absinthe.Middleware.MapGet","group":"Middleware and Plugins","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"call/2","anchor":"call/2"}]}]},{"id":"Absinthe.Middleware.PassParent","title":"Absinthe.Middleware.PassParent","group":"Middleware and Plugins","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"call/2","anchor":"call/2"}]}]},{"id":"Absinthe.Middleware.Telemetry","title":"Absinthe.Middleware.Telemetry","group":"Middleware and Plugins","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"on_complete/2","anchor":"on_complete/2"}]}]},{"id":"Absinthe.Plugin","title":"Absinthe.Plugin","group":"Middleware and Plugins","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"defaults/0","anchor":"defaults/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"after_resolution/1","anchor":"c:after_resolution/1"},{"id":"before_resolution/1","anchor":"c:before_resolution/1"},{"id":"pipeline/2","anchor":"c:pipeline/2"}]}]},{"id":"Absinthe.Subscription","title":"Absinthe.Subscription","group":"Subscriptions","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"subscription_field_spec/0","anchor":"t:subscription_field_spec/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"child_spec/1","anchor":"child_spec/1"},{"id":"publish/3","anchor":"publish/3"},{"id":"start_link/1","anchor":"start_link/1"}]}]},{"id":"Absinthe.Subscription.Local","title":"Absinthe.Subscription.Local","group":"Subscriptions","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"publish_mutation/3","anchor":"publish_mutation/3"}]}]},{"id":"Absinthe.Subscription.Pubsub","title":"Absinthe.Subscription.Pubsub","group":"Subscriptions","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"node_name/0","anchor":"c:node_name/0"},{"id":"publish_mutation/3","anchor":"c:publish_mutation/3"},{"id":"publish_subscription/2","anchor":"c:publish_subscription/2"},{"id":"subscribe/1","anchor":"c:subscribe/1"}]}]},{"id":"Absinthe.Phase","title":"Absinthe.Phase","group":"Extensibility","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"result_t/0","anchor":"t:result_t/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"any_invalid?/1","anchor":"any_invalid?/1"},{"id":"put_error/2","anchor":"put_error/2"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"run/2","anchor":"c:run/2"}]}]},{"id":"Absinthe.Phase.Document.Context","title":"Absinthe.Phase.Document.Context","group":"Extensibility","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"flag_invalid/1","anchor":"flag_invalid/1"},{"id":"flag_invalid/2","anchor":"flag_invalid/2"},{"id":"inherit_invalid/3","anchor":"inherit_invalid/3"},{"id":"put_flag/2","anchor":"put_flag/2"},{"id":"run/2","anchor":"run/2"}]}]},{"id":"Absinthe.Phase.Telemetry","title":"Absinthe.Phase.Telemetry","group":"Extensibility","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"flag_invalid/1","anchor":"flag_invalid/1"},{"id":"flag_invalid/2","anchor":"flag_invalid/2"},{"id":"inherit_invalid/3","anchor":"inherit_invalid/3"},{"id":"put_flag/2","anchor":"put_flag/2"},{"id":"run/2","anchor":"run/2"}]}]},{"id":"Absinthe.Pipeline","title":"Absinthe.Pipeline","group":"Extensibility","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"data_t/0","anchor":"t:data_t/0"},{"id":"phase_config_t/0","anchor":"t:phase_config_t/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"before/2","anchor":"before/2"},{"id":"for_document/2","anchor":"for_document/2"},{"id":"for_schema/2","anchor":"for_schema/2"},{"id":"from/2","anchor":"from/2"},{"id":"insert_after/3","anchor":"insert_after/3"},{"id":"insert_before/3","anchor":"insert_before/3"},{"id":"options/1","anchor":"options/1"},{"id":"reject/2","anchor":"reject/2"},{"id":"replace/3","anchor":"replace/3"},{"id":"run/2","anchor":"run/2"},{"id":"run_phase/3","anchor":"run_phase/3"},{"id":"upto/2","anchor":"upto/2"},{"id":"without/2","anchor":"without/2"}]}]},{"id":"Absinthe.Pipeline.ErrorResult","title":"Absinthe.Pipeline.ErrorResult","group":"Extensibility","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"new/1","anchor":"new/1"}]}]},{"id":"Absinthe.Adapter","title":"Absinthe.Adapter","group":"Document Adapters","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"role_t/0","anchor":"t:role_t/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"to_external_name/2","anchor":"c:to_external_name/2"},{"id":"to_internal_name/2","anchor":"c:to_internal_name/2"}]}]},{"id":"Absinthe.Adapter.LanguageConventions","title":"Absinthe.Adapter.LanguageConventions","group":"Document Adapters","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"to_external_name/2","anchor":"to_external_name/2"},{"id":"to_internal_name/2","anchor":"to_internal_name/2"}]}]},{"id":"Absinthe.Adapter.Passthrough","title":"Absinthe.Adapter.Passthrough","group":"Document Adapters","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"dump_results/1","anchor":"dump_results/1"},{"id":"load_document/1","anchor":"load_document/1"},{"id":"to_external_name/2","anchor":"to_external_name/2"},{"id":"to_internal_name/2","anchor":"to_internal_name/2"}]}]},{"id":"Absinthe.Adapter.StrictLanguageConventions","title":"Absinthe.Adapter.StrictLanguageConventions","group":"Document Adapters","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"to_external_name/2","anchor":"to_external_name/2"},{"id":"to_internal_name/2","anchor":"to_internal_name/2"}]}]},{"id":"Absinthe.Adapter.Underscore","title":"Absinthe.Adapter.Underscore","group":"Document Adapters","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"to_external_name/2","anchor":"to_external_name/2"},{"id":"to_internal_name/2","anchor":"to_internal_name/2"}]}]},{"id":"Absinthe.Blueprint","title":"Absinthe.Blueprint","group":"Execution","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"flags_t/0","anchor":"t:flags_t/0"},{"id":"node_t/0","anchor":"t:node_t/0"},{"id":"result_t/0","anchor":"t:result_t/0"},{"id":"t/0","anchor":"t:t/0"},{"id":"use_t/0","anchor":"t:use_t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"add_field/3","anchor":"add_field/3"},{"id":"current_operation/1","anchor":"current_operation/1"},{"id":"extend_fields/2","anchor":"extend_fields/2"},{"id":"find/2","anchor":"find/2"},{"id":"find_field/2","anchor":"find_field/2"},{"id":"flagged?/2","anchor":"flagged?/2"},{"id":"fragment/2","anchor":"fragment/2"},{"id":"postwalk/2","anchor":"postwalk/2"},{"id":"postwalk/3","anchor":"postwalk/3"},{"id":"prewalk/2","anchor":"prewalk/2"},{"id":"prewalk/3","anchor":"prewalk/3"},{"id":"put_flag/3","anchor":"put_flag/3"},{"id":"types_by_name/1","anchor":"types_by_name/1"},{"id":"update_current/2","anchor":"update_current/2"}]}]},{"id":"Absinthe.Blueprint.Execution","title":"Absinthe.Blueprint.Execution","group":"Execution","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"acc/0","anchor":"t:acc/0"},{"id":"node_t/0","anchor":"t:node_t/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"get/2","anchor":"get/2"},{"id":"get_result/2","anchor":"get_result/2"},{"id":"get_result/3","anchor":"get_result/3"},{"id":"update/4","anchor":"update/4"}]}]},{"id":"Absinthe.Complexity","title":"Absinthe.Complexity","group":"Execution","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]}]},{"id":"Absinthe.Resolution","title":"Absinthe.Resolution","group":"Execution","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"arguments/0","anchor":"t:arguments/0"},{"id":"field_state/0","anchor":"t:field_state/0"},{"id":"source/0","anchor":"t:source/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"call/2","anchor":"call/2"},{"id":"call/3","anchor":"call/3"},{"id":"call/4","anchor":"call/4"},{"id":"path/1","anchor":"path/1"},{"id":"path_string/1","anchor":"path_string/1"},{"id":"project/1","anchor":"project/1"},{"id":"project/2","anchor":"project/2"},{"id":"put_result/2","anchor":"put_result/2"},{"id":"resolver_spec/1","anchor":"resolver_spec/1"},{"id":"result_error/4","anchor":"result_error/4"}]}]},{"id":"Absinthe.Introspection","title":"Absinthe.Introspection","group":"Introspection"},{"id":"Absinthe.Test","title":"Absinthe.Test","group":"Testing","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"prime/1","anchor":"prime/1"}]}]},{"id":"Absinthe.Logger","title":"Absinthe.Logger","group":"Utilities","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"log_run/2","anchor":"log_run/2"}]}]},{"id":"Absinthe.Utils","title":"Absinthe.Utils","group":"Utilities","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"camelize/2","anchor":"camelize/2"}]}]},{"id":"Absinthe.Utils.Suggestion","title":"Absinthe.Utils.Suggestion","group":"Utilities","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"sort_list/3","anchor":"sort_list/3"}]}]}],"tasks":[{"id":"Mix.Tasks.Absinthe.Schema.Json","title":"mix absinthe.schema.json","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"run/1","anchor":"run/1"}]}]},{"id":"Mix.Tasks.Absinthe.Schema.Sdl","title":"mix absinthe.schema.sdl","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"generate_schema/1","anchor":"generate_schema/1"},{"id":"parse_options/1","anchor":"parse_options/1"}]}]}]}